Bug 17682 - Patch for sysklogd to run as non root user
Patch for sysklogd to run as non root user
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
: FutureFeature
: 17758 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-09-19 09:03 EDT by Jarno Huuskonen
Modified: 2007-04-18 12:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-25 19:40:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jarno Huuskonen 2000-09-19 09:03:06 EDT
I just wanted to point out that there's a patch for sysklogd that
makes it possible to run syslogd/klogd as non root user. 

The patch was made by Chris Wing and (I found) it from:
(it's in the sysklog srpm).

Comment 1 Bill Nottingham 2000-11-13 15:23:06 EST
*** Bug 17758 has been marked as a duplicate of this bug. ***
Comment 2 Jarno Huuskonen 2002-01-23 03:50:48 EST
Owl Linux also has patches for klogd / syslogd to run as unprivileged users.
Comment 3 Jason Vas Dias 2004-08-25 19:40:41 EDT
Just clearing out old bugs here.
The patches in question merely provide a command-line argument to
set the userid ; this could also be acheived with changing the
ownership of the executables and making them setuid. 
The more complex issues arise with changing everything else
(eg. logrotate) to take account of non-root owners of log files.
Also it would have problems listening on the reserved syslog port.
As such, I think this change is unlikely to be required.

Note You need to log in before you can comment on or make changes to this bug.